Index: django/conf/locale/fr/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/fr/LC_MESSAGES/django.po	(revision 8806)
+++ django/conf/locale/fr/LC_MESSAGES/django.po	(working copy)
@@ -6,7 +6,7 @@
 msgstr ""
 "Project-Id-Version: Django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-08-29 15:35-0700\n"
+"POT-Creation-Date: 2008-09-01 21:27+0200\n"
 "PO-Revision-Date: 2008-08-29 02:31+0100\n"
 "Last-Translator: David Larlet <http://david.larlet.fr>\n"
 "Language-Team: français <fr@li.org>\n"
@@ -284,59 +284,60 @@
 msgid "log entries"
 msgstr "entrées d'historique"
 
-#: contrib/admin/options.py:56 contrib/admin/options.py:120
+#: contrib/admin/options.py:59 contrib/admin/options.py:120
 msgid "None"
 msgstr "Aucun(e)"
 
-#: contrib/admin/options.py:334
+#: contrib/admin/options.py:332
 #, python-format
 msgid "Changed %s."
 msgstr "Modifié %s."
 
-#: contrib/admin/options.py:334 contrib/admin/options.py:344
+#: contrib/admin/options.py:332 contrib/admin/options.py:342
+#: forms/models.py:264
 msgid "and"
 msgstr "et"
 
-#: contrib/admin/options.py:339
+#: contrib/admin/options.py:337
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "%(name)s \"%(object)s\" ajouté."
 
-#: contrib/admin/options.py:343
+#: contrib/admin/options.py:341
 #, fuzzy, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr "%(list)s modifié pour %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:348
+#: contrib/admin/options.py:346
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "%(name)s \"%(object)s\" supprimé."
 
-#: contrib/admin/options.py:352
+#: contrib/admin/options.py:350
 msgid "No fields changed."
 msgstr "Aucun champ modifié."
 
-#: contrib/admin/options.py:413 contrib/auth/admin.py:51
+#: contrib/admin/options.py:411 contrib/auth/admin.py:51
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "L'objet %(name)s \"%(obj)s\" a été ajouté avec succès."
 
-#: contrib/admin/options.py:417 contrib/admin/options.py:450
-#: contrib/auth/admin.py:57
+#: contrib/admin/options.py:415 contrib/admin/options.py:448
+#: contrib/auth/admin.py:59
 msgid "You may edit it again below."
 msgstr "Vous pouvez continuer l'édition ci-dessous."
 
-#: contrib/admin/options.py:427 contrib/admin/options.py:460
+#: contrib/admin/options.py:425 contrib/admin/options.py:458
 #, python-format
 msgid "You may add another %s below."
 msgstr "Vous pouvez ajouter un autre %s ci-dessous."
 
-#: contrib/admin/options.py:448
+#: contrib/admin/options.py:446
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "L'objet %(name)s \"%(obj)s\" a été modifié avec succès."
 
-#: contrib/admin/options.py:456
+#: contrib/admin/options.py:454
 #, python-format
 msgid ""
 "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
@@ -344,30 +345,30 @@
 "L'objet %(name)s \"%(obj)s\" a été ajouté avec succès. Vous pouvez continuer "
 "l'édition ci-dessous."
 
-#: contrib/admin/options.py:532
+#: contrib/admin/options.py:530
 #, python-format
 msgid "Add %s"
 msgstr "Ajouter %s"
 
-#: contrib/admin/options.py:610
+#: contrib/admin/options.py:608
 #, python-format
 msgid "Change %s"
 msgstr "Changement %s"
 
-#: contrib/admin/options.py:642
+#: contrib/admin/options.py:640
 msgid "Database error"
 msgstr "Erreur de base de données"
 
-#: contrib/admin/options.py:692
+#: contrib/admin/options.py:690
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "L'objet %(name)s \"%(obj)s\" a été supprimé avec succès."
 
-#: contrib/admin/options.py:699
+#: contrib/admin/options.py:697
 msgid "Are you sure?"
 msgstr "Êtes-vous sûr ?"
 
-#: contrib/admin/options.py:728
+#: contrib/admin/options.py:726
 #, python-format
 msgid "Change history: %s"
 msgstr "Historique des changements : %s"
@@ -434,28 +435,28 @@
 msgid "One or more %(fieldname)s in %(name)s:"
 msgstr "Un ou plusieurs %(fieldname)s dans %(name)s :"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Date:"
 msgstr "Date :"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Time:"
 msgstr "Heure :"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Currently:"
 msgstr "Actuellement :"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Change:"
 msgstr "Modification :"
 
-#: contrib/admin/widgets.py:115
+#: contrib/admin/widgets.py:120
 #, fuzzy
 msgid "Lookup"
 msgstr "Recherche :"
 
-#: contrib/admin/widgets.py:195
+#: contrib/admin/widgets.py:204
 msgid "Add Another"
 msgstr "Ajouter un autre :"
 
@@ -1049,7 +1050,7 @@
 msgid "Floating point number"
 msgstr "Nombre à virgule flottante"
 
-#: contrib/admindocs/views.py:328 contrib/comments/models.py:57
+#: contrib/admindocs/views.py:328 contrib/comments/models.py:58
 msgid "IP address"
 msgstr "adresse IP"
 
@@ -1073,7 +1074,7 @@
 msgid "Time"
 msgstr "Heure"
 
-#: contrib/admindocs/views.py:339 contrib/comments/forms.py:20
+#: contrib/admindocs/views.py:339 contrib/comments/forms.py:21
 #: contrib/flatpages/admin.py:8 contrib/flatpages/models.py:7
 msgid "URL"
 msgstr "URL"
@@ -1176,15 +1177,15 @@
 msgid "Groups"
 msgstr "Groupes"
 
-#: contrib/auth/admin.py:62
+#: contrib/auth/admin.py:64
 msgid "Add user"
 msgstr "Ajouter l'utilisateur"
 
-#: contrib/auth/admin.py:88
+#: contrib/auth/admin.py:90
 msgid "Password changed successfully."
 msgstr "Mot de passe modifié avec succés"
 
-#: contrib/auth/admin.py:94
+#: contrib/auth/admin.py:96
 #, python-format
 msgid "Change password: %s"
 msgstr "Modifier le mot de passe : %s"
@@ -1387,7 +1388,7 @@
 msgid "Logged out"
 msgstr "Déconnecté"
 
-#: contrib/auth/management/commands/createsuperuser.py:23 forms/fields.py:423
+#: contrib/auth/management/commands/createsuperuser.py:23 forms/fields.py:425
 msgid "Enter a valid e-mail address."
 msgstr "Entrez une adresse de courriel valide."
 
@@ -1400,28 +1401,28 @@
 msgid "Metadata"
 msgstr "Metadonnée"
 
-#: contrib/comments/forms.py:18
+#: contrib/comments/forms.py:19
 #, fuzzy
 msgid "Name"
 msgstr "Nom"
 
-#: contrib/comments/forms.py:19
+#: contrib/comments/forms.py:20
 #, fuzzy
 msgid "Email address"
 msgstr "Courriel"
 
-#: contrib/comments/forms.py:21
+#: contrib/comments/forms.py:22
 msgid "Comment"
 msgstr "Commentaire"
 
-#: contrib/comments/forms.py:24
+#: contrib/comments/forms.py:25
 msgid ""
 "If you enter anything in this field your comment will be treated as spam"
 msgstr ""
 "Si vous soumettez quelque chose dans ce champs votre commentaire va être "
 "considéré comme étant indésirable"
 
-#: contrib/comments/forms.py:124
+#: contrib/comments/forms.py:125
 #, fuzzy, python-format
 msgid "Watch your mouth! The word %s is not allowed here."
 msgid_plural "Watch your mouth! The words %s are not allowed here."
@@ -1429,49 +1430,49 @@
 msgstr[1] ""
 "Attention à votre langage ! Les termes %s ne sont pas autorisés ici."
 
-#: contrib/comments/models.py:22
+#: contrib/comments/models.py:23
 msgid "object ID"
 msgstr "ID de l'objet"
 
-#: contrib/comments/models.py:49
+#: contrib/comments/models.py:50
 #, fuzzy
 msgid "user's name"
 msgstr "nom d'utilisateur"
 
-#: contrib/comments/models.py:50
+#: contrib/comments/models.py:51
 #, fuzzy
 msgid "user's email address"
 msgstr "courriel de l'utilisateur"
 
-#: contrib/comments/models.py:51
+#: contrib/comments/models.py:52
 #, fuzzy
 msgid "user's URL"
 msgstr "URL de l'utilisateur"
 
-#: contrib/comments/models.py:53
+#: contrib/comments/models.py:54
 msgid "comment"
 msgstr "commentaire"
 
-#: contrib/comments/models.py:56
+#: contrib/comments/models.py:57
 msgid "date/time submitted"
 msgstr "date et heure soumises"
 
-#: contrib/comments/models.py:58
+#: contrib/comments/models.py:59
 msgid "is public"
 msgstr "est public"
 
-#: contrib/comments/models.py:59
+#: contrib/comments/models.py:60
 msgid ""
 "Uncheck this box to make the comment effectively disappear from the site."
 msgstr ""
 "Déselectionnez cette case pour faire vraiment disparaître ce commentaire du "
 "site."
 
-#: contrib/comments/models.py:61
+#: contrib/comments/models.py:62
 msgid "is removed"
 msgstr "est supprimé"
 
-#: contrib/comments/models.py:62
+#: contrib/comments/models.py:63
 msgid ""
 "Check this box if the comment is inappropriate. A \"This comment has been "
 "removed\" message will be displayed instead."
@@ -1479,7 +1480,7 @@
 "Cochez cette case si le commentaire est inadéquat. Un message type \"Ce "
 "commentaire a été supprimé\" sera affiché en lieu et place de celui-ci."
 
-#: contrib/comments/models.py:114
+#: contrib/comments/models.py:115
 #, fuzzy
 msgid ""
 "This comment was posted by an authenticated user and thus the name is read-"
@@ -1488,7 +1489,7 @@
 "Ce commentaire a été posté par un utilisateur authentifié, le nom est donc "
 "en lecture seule."
 
-#: contrib/comments/models.py:123
+#: contrib/comments/models.py:124
 #, fuzzy
 msgid ""
 "This comment was posted by an authenticated user and thus the email is read-"
@@ -1497,7 +1498,7 @@
 "Ce commentaire a été posté par un utilisateur authentifié et le courriel est "
 "donc en lecture seule"
 
-#: contrib/comments/models.py:148
+#: contrib/comments/models.py:149
 #, python-format
 msgid ""
 "Posted by %(user)s at %(date)s\n"
@@ -2599,12 +2600,12 @@
 
 #: contrib/localflavor/mx/mx_states.py:26
 #, fuzzy
-msgid "Estado de México"
+msgid "Estado de MÃ©xico"
 msgstr "État de Mexico"
 
 #: contrib/localflavor/mx/mx_states.py:27
 #, fuzzy
-msgid "Michoacán"
+msgid "MichoacÃ¡n"
 msgstr "Michoacán"
 
 #: contrib/localflavor/mx/mx_states.py:28
@@ -2617,7 +2618,7 @@
 
 #: contrib/localflavor/mx/mx_states.py:30
 #, fuzzy
-msgid "Nuevo León"
+msgid "Nuevo LeÃ³n"
 msgstr "Nuevo León"
 
 #: contrib/localflavor/mx/mx_states.py:31
@@ -2630,7 +2631,7 @@
 
 #: contrib/localflavor/mx/mx_states.py:33
 #, fuzzy
-msgid "Querétaro"
+msgid "QuerÃ©taro"
 msgstr "Querétaro"
 
 #: contrib/localflavor/mx/mx_states.py:34
@@ -2643,7 +2644,7 @@
 
 #: contrib/localflavor/mx/mx_states.py:36
 #, fuzzy
-msgid "San Luis Potosí"
+msgid "San Luis PotosÃ­"
 msgstr "San Luis Potosí"
 
 #: contrib/localflavor/mx/mx_states.py:37
@@ -2668,7 +2669,7 @@
 
 #: contrib/localflavor/mx/mx_states.py:42
 #, fuzzy
-msgid "Yucatán"
+msgid "YucatÃ¡n"
 msgstr "Yucatán"
 
 #: contrib/localflavor/mx/mx_states.py:43
@@ -3620,59 +3621,59 @@
 msgid "sites"
 msgstr "sites"
 
-#: db/models/fields/__init__.py:332 db/models/fields/__init__.py:667
+#: db/models/fields/__init__.py:350 db/models/fields/__init__.py:685
 msgid "This value must be an integer."
 msgstr "Cette valeur doit être un entier."
 
-#: db/models/fields/__init__.py:363
+#: db/models/fields/__init__.py:381
 msgid "This value must be either True or False."
 msgstr "Cette valeur doit être soit Vraie (True) soit Fausse (False)."
 
-#: db/models/fields/__init__.py:396
+#: db/models/fields/__init__.py:414
 msgid "This field cannot be null."
 msgstr "Ce champ ne peut pas être vide."
 
-#: db/models/fields/__init__.py:412
+#: db/models/fields/__init__.py:430
 msgid "Enter only digits separated by commas."
 msgstr "Saisissez uniquement des chiffres séparés par des virgules."
 
-#: db/models/fields/__init__.py:443
+#: db/models/fields/__init__.py:461
 msgid "Enter a valid date in YYYY-MM-DD format."
 msgstr "Entrez une date valide au format AAAA-MM-JJ."
 
-#: db/models/fields/__init__.py:452
+#: db/models/fields/__init__.py:470
 #, python-format
 msgid "Invalid date: %s"
 msgstr "Date invalide : %s"
 
-#: db/models/fields/__init__.py:516 db/models/fields/__init__.py:534
+#: db/models/fields/__init__.py:534 db/models/fields/__init__.py:552
 #, fuzzy
 msgid "Enter a valid date/time in YYYY-MM-DD HH:MM[:ss[.uuuuuu]] format."
 msgstr ""
 "Entrez une date et une heure valides au format AAAA-MM-JJ HH:MM[:ss[."
 "uuuuuu]]."
 
-#: db/models/fields/__init__.py:570
+#: db/models/fields/__init__.py:588
 msgid "This value must be a decimal number."
 msgstr "Cette valeur doit être un nombre décimal."
 
-#: db/models/fields/__init__.py:703
+#: db/models/fields/__init__.py:721
 msgid "This value must be either None, True or False."
 msgstr "Cette valeur doit être Nulle (None), Vraie (True) ou Fausse (False)."
 
-#: db/models/fields/__init__.py:811 db/models/fields/__init__.py:825
+#: db/models/fields/__init__.py:829 db/models/fields/__init__.py:843
 #, fuzzy
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "Entrez une heure valide au format HH:MM[:ss[.uuuuuu]]."
 
-#: db/models/fields/related.py:748
+#: db/models/fields/related.py:753
 msgid ""
 "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
 msgstr ""
 "Maintenez appuyé \"Contrôle (ctrl)\", ou \"Commande (touche pomme)\" sur un "
 "Mac, pour en sélectionner plusieurs."
 
-#: db/models/fields/related.py:825
+#: db/models/fields/related.py:830
 #, fuzzy, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural ""
@@ -3681,87 +3682,87 @@
 msgstr[1] ""
 "Entrez des ID %(self)s valides. Les valeurs %(value)r sont invalides."
 
-#: forms/fields.py:52
+#: forms/fields.py:54
 msgid "This field is required."
 msgstr "Ce champ est obligatoire."
 
-#: forms/fields.py:53
+#: forms/fields.py:55
 msgid "Enter a valid value."
 msgstr "Entrez une valeur valide."
 
-#: forms/fields.py:133
+#: forms/fields.py:135
 #, python-format
 msgid "Ensure this value has at most %(max)d characters (it has %(length)d)."
 msgstr ""
 "Assurez-vous que cette valeur fait moins de %(max)d caractères (il fait "
 "actuellement %(length)d caractères)."
 
-#: forms/fields.py:134
+#: forms/fields.py:136
 #, python-format
 msgid "Ensure this value has at least %(min)d characters (it has %(length)d)."
 msgstr ""
 "Assurez-vous que cette valeur fait plus de %(min)d caractères (il fait "
 "actuellement %(length)d caractères)."
 
-#: forms/fields.py:161
+#: forms/fields.py:163
 msgid "Enter a whole number."
 msgstr "Entrez un nombre entier."
 
-#: forms/fields.py:162 forms/fields.py:191 forms/fields.py:220
+#: forms/fields.py:164 forms/fields.py:193 forms/fields.py:222
 #, python-format
 msgid "Ensure this value is less than or equal to %s."
 msgstr "Assurez-vous que cette valeur soit inférieure ou égale à %s."
 
-#: forms/fields.py:163 forms/fields.py:192 forms/fields.py:221
+#: forms/fields.py:165 forms/fields.py:194 forms/fields.py:223
 #, python-format
 msgid "Ensure this value is greater than or equal to %s."
 msgstr "Assurez-vous que cette valeur soit supérieure ou égale à %s."
 
-#: forms/fields.py:190 forms/fields.py:219
+#: forms/fields.py:192 forms/fields.py:221
 msgid "Enter a number."
 msgstr "Entrez un nombre."
 
-#: forms/fields.py:222
+#: forms/fields.py:224
 #, python-format
 msgid "Ensure that there are no more than %s digits in total."
 msgstr "Assurez-vous qu'il n'y a pas plus de %s chiffres au total."
 
-#: forms/fields.py:223
+#: forms/fields.py:225
 #, python-format
 msgid "Ensure that there are no more than %s decimal places."
 msgstr "Assurez-vous qu'il n'y a pas plus de %s chiffres après la virgule."
 
-#: forms/fields.py:224
+#: forms/fields.py:226
 #, python-format
 msgid "Ensure that there are no more than %s digits before the decimal point."
 msgstr "Assurez-vous qu'il n'y a pas plus de %s chiffres avant la virgule."
 
-#: forms/fields.py:282 forms/fields.py:815
+#: forms/fields.py:284 forms/fields.py:844
 msgid "Enter a valid date."
 msgstr "Entrez une date valide."
 
-#: forms/fields.py:316 forms/fields.py:816
+#: forms/fields.py:318 forms/fields.py:845
 msgid "Enter a valid time."
 msgstr "Entrez une heure valide."
 
-#: forms/fields.py:355
+#: forms/fields.py:357
 msgid "Enter a valid date/time."
 msgstr "Entrez une date et une heure valides."
 
-#: forms/fields.py:441
+#: forms/fields.py:443
 msgid "No file was submitted. Check the encoding type on the form."
 msgstr ""
 "Aucun fichier n'a été soumis. Vérifiez le type d'encodage du formulaire."
 
-#: forms/fields.py:442
+#: forms/fields.py:444
 msgid "No file was submitted."
 msgstr "Aucun fichier n'a été soumis."
 
-#: forms/fields.py:443
+#: forms/fields.py:445
 msgid "The submitted file is empty."
 msgstr "Le fichier soumis est vide."
 
-#: forms/fields.py:472
+#: forms/fields.py:474
 msgid ""
 "Upload a valid image. The file you uploaded was either not an image or a "
 "corrupted image."
@@ -3769,28 +3770,28 @@
 "Envoyez une image valide. Le fichier que vous avez transféré n'est pas une "
 "image ou bien est corrompu."
 
-#: forms/fields.py:533
+#: forms/fields.py:535
 msgid "Enter a valid URL."
 msgstr "Entrez une URL valide."
 
-#: forms/fields.py:534
+#: forms/fields.py:536
 msgid "This URL appears to be a broken link."
 msgstr "Cette URL semble être cassée."
 
-#: forms/fields.py:613 forms/fields.py:664
+#: forms/fields.py:615 forms/fields.py:693
 #, python-format
 msgid "Select a valid choice. %(value)s is not one of the available choices."
 msgstr "Sélectionnez un choix valide. %(value)s n'en fait pas partie."
 
-#: forms/fields.py:665 forms/fields.py:726 forms/models.py:531
+#: forms/fields.py:694 forms/fields.py:755 forms/models.py:633
 msgid "Enter a list of values."
 msgstr "Entrez une liste de valeurs."
 
-#: forms/fields.py:844
+#: forms/fields.py:873
 msgid "Enter a valid IPv4 address."
 msgstr "Entrez une adresse IPv4 valide."
 
-#: forms/fields.py:854
+#: forms/fields.py:883
 #, fuzzy
 msgid ""
 "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens."
@@ -3803,13 +3804,18 @@
 msgid "Order"
 msgstr "Ordre :"
 
-#: forms/models.py:463
+#: forms/models.py:258 forms/models.py:266
+#, python-format
+msgid "%(model_name)s with this %(field_label)s already exists."
+msgstr "Un(e) %(model_name)s avec ce %(field_label)s existe déjà."
+
+#: forms/models.py:565
 msgid "Select a valid choice. That choice is not one of the available choices."
 msgstr ""
 "Sélectionnez un choix valide. Ce choix ne fait pas partie de ceux "
 "disponibles."
 
-#: forms/models.py:532
+#: forms/models.py:634
 #, python-format
 msgid "Select a valid choice. %s is not one of the available choices."
 msgstr "Sélectionnez un choix valide; %s n'en fait pas partie."