Index: django/django/tests/modeltests/save_delete_hooks/models.py
===================================================================
--- django/django/tests/modeltests/save_delete_hooks/models.py	(revision 8696)
+++ django/django/tests/modeltests/save_delete_hooks/models.py	(working copy)
@@ -16,7 +16,7 @@
 
     def save(self, force_insert=False, force_update=False):
         print "Before save"
-         # Call the "real" save() method
+        # Call the "real" save() method
         super(Person, self).save(force_insert, force_update)
         print "After save"
 
Index: django/django/tests/modeltests/model_forms/models.py
===================================================================
--- django/django/tests/modeltests/model_forms/models.py	(revision 8696)
+++ django/django/tests/modeltests/model_forms/models.py	(working copy)
@@ -51,11 +51,11 @@
     categories = models.ManyToManyField(Category, blank=True)
     status = models.IntegerField(choices=ARTICLE_STATUS, blank=True, null=True)
 
-    def save(self):
+    def save(self, force_insert=False, force_update=False):
         import datetime
         if not self.id:
             self.created = datetime.date.today()
-        return super(Article, self).save()
+        return super(Article, self).save(force_insert, force_update)
 
     def __unicode__(self):
         return self.headline
Index: django/django/tests/regressiontests/serializers_regress/models.py
===================================================================
--- django/django/tests/regressiontests/serializers_regress/models.py	(revision 8696)
+++ django/django/tests/regressiontests/serializers_regress/models.py	(working copy)
@@ -227,10 +227,10 @@
 class ModifyingSaveData(models.Model):
     data = models.IntegerField(null=True)
 
-    def save(self):
+    def save(self, force_insert=False, force_update=False):
         "A save method that modifies the data in the object"
         self.data = 666
-        super(ModifyingSaveData, self).save(raw)
+        super(ModifyingSaveData, self).save(force_insert, force_update)
 
 # Tests for serialization of models using inheritance.
 # Regression for #7202, #7350
Index: django/django/docs/topics/db/models.txt
===================================================================
--- django/django/docs/topics/db/models.txt	(revision 8696)
+++ django/django/docs/topics/db/models.txt	(working copy)
@@ -688,9 +688,9 @@
         name = models.CharField(max_length=100)
         tagline = models.TextField()
 
-        def save(self):
+        def save(self, force_insert=False, force_update=False):
             do_something()
-            super(Blog, self).save() # Call the "real" save() method.
+            super(Blog, self).save(force_insert, force_update) # Call the "real" save() method.
             do_something_else()
 
 You can also prevent saving::
@@ -699,11 +699,11 @@
         name = models.CharField(max_length=100)
         tagline = models.TextField()
 
-        def save(self):
+        def save(self, force_insert=False, force_update=False):
             if self.name == "Yoko Ono's blog":
                 return # Yoko shall never have her own blog!
             else:
-                super(Blog, self).save() # Call the "real" save() method.
+                super(Blog, self).save(force_insert, force_update) # Call the "real" save() method.
 
 It's important to remember to call the superclass method -- that's that
 ``super(Blog, self).save()`` business -- to ensure that the object still gets
Index: django/django/docs/ref/contrib/sitemaps.txt
===================================================================
--- django/django/docs/ref/contrib/sitemaps.txt	(revision 8696)
+++ django/django/docs/ref/contrib/sitemaps.txt	(working copy)
@@ -325,8 +325,8 @@
   
     class Entry(models.Model):
         # ...
-        def save(self):
-            super(Entry, self).save()
+        def save(self, force_insert=False, force_update=False):
+            super(Entry, self).save(force_insert, force_update)
             try:
                 ping_google()
             except Exception: