Index: django/conf/global_settings.py
===================================================================
--- django/conf/global_settings.py	(revision 8750)
+++ django/conf/global_settings.py	(working copy)
@@ -257,25 +257,25 @@
 FILE_UPLOAD_PERMISSIONS = None
 
 # Default formatting for date objects. See all available format strings here:
-# http://www.djangoproject.com/documentation/templates/#now
+# http://docs.djangoproject.com/en/dev/ref/templates/builtins/#now
 DATE_FORMAT = 'N j, Y'
 
 # Default formatting for datetime objects. See all available format strings here:
-# http://www.djangoproject.com/documentation/templates/#now
+# http://docs.djangoproject.com/en/dev/ref/templates/builtins/#now
 DATETIME_FORMAT = 'N j, Y, P'
 
 # Default formatting for time objects. See all available format strings here:
-# http://www.djangoproject.com/documentation/templates/#now
+# http://docs.djangoproject.com/en/dev/ref/templates/builtins/#now
 TIME_FORMAT = 'P'
 
 # Default formatting for date objects when only the year and month are relevant.
 # See all available format strings here:
-# http://www.djangoproject.com/documentation/templates/#now
+# http://docs.djangoproject.com/en/dev/ref/templates/builtins/#now
 YEAR_MONTH_FORMAT = 'F Y'
 
 # Default formatting for date objects when only the month and day are relevant.
 # See all available format strings here:
-# http://www.djangoproject.com/documentation/templates/#now
+# http://docs.djangoproject.com/en/dev/ref/templates/builtins/#now
 MONTH_DAY_FORMAT = 'F j'
 
 # Do you want to manage transactions manually?
Index: django/contrib/redirects/README.TXT
===================================================================
--- django/contrib/redirects/README.TXT	(revision 8750)
+++ django/contrib/redirects/README.TXT	(working copy)
@@ -3,6 +3,6 @@
 For full documentation, see either of these:
 
     * The file django/docs/redirects.txt in the Django distribution
-    * http://www.djangoproject.com/documentation/redirects/ on the Web
+    * http://docs.djangoproject.com/en/dev/ref/contrib/redirects/ on the Web
 
 Both have identical content.
\ No newline at end of file
Index: django/contrib/flatpages/README.TXT
===================================================================
--- django/contrib/flatpages/README.TXT	(revision 8750)
+++ django/contrib/flatpages/README.TXT	(working copy)
@@ -3,6 +3,6 @@
 For full documentation, see either of these:
 
     * The file docs/flatpages.txt in the Django distribution
-    * http://www.djangoproject.com/documentation/flatpages/ on the Web
+    * http://docs.djangoproject.com/en/dev/ref/contrib/flatpages/ on the Web
 
 Both have identical content.
Index: docs/intro/whatsnext.txt
===================================================================
--- docs/intro/whatsnext.txt	(revision 8750)
+++ docs/intro/whatsnext.txt	(working copy)
@@ -110,7 +110,7 @@
 ----------
 
 The most recent version of the Django documentation lives at
-http://www.djangoproject.com/documentation/ . These HTML pages are generated
+http://docs.djangoproject.com/en/dev/. These HTML pages are generated
 automatically from the text files in source control. That means they reflect the
 "latest and greatest" in Django -- they include the very latest corrections and
 additions, and they discuss the latest Django features, which may only be
@@ -232,4 +232,4 @@
     * The `main documentation Web page`_ includes links to documentation for
       all previous versions.
 
-.. _main documentation Web page: http://www.djangoproject.com/documentation/
+.. _main documentation Web page: http://docs.djangoproject.com/en/dev/
Index: docs/releases/1.0-beta-2.txt
===================================================================
--- docs/releases/1.0-beta-2.txt	(revision 8750)
+++ docs/releases/1.0-beta-2.txt	(working copy)
@@ -114,7 +114,7 @@
 Django's online documentation also includes pointers on how to
 contribute to Django:
 
-    http://www.djangoproject.com/documentation/contributing/
+    :ref:`contributing to Django<internals-contributing>`
 
 Contributions on any level -- developing code, writing
 documentation or simply triaging tickets and helping to test proposed
Index: docs/releases/1.0-beta.txt
===================================================================
--- docs/releases/1.0-beta.txt	(revision 8750)
+++ docs/releases/1.0-beta.txt	(working copy)
@@ -148,7 +148,7 @@
 Django's online documentation also includes pointers on how to
 contribute to Django:
 
-    http://www.djangoproject.com/documentation/contributing/
+    :ref:`contributing to Django<internals-contributing>`
 
 Contributions on any level -- developing code, writing
 documentation or simply triaging tickets and helping to test proposed
Index: docs/releases/1.0-alpha-1.txt
===================================================================
--- docs/releases/1.0-alpha-1.txt	(revision 8750)
+++ docs/releases/1.0-alpha-1.txt	(working copy)
@@ -33,9 +33,9 @@
     and redesigned with extensibility and customization in mind. Full
     documentation for the admin application is available online in the
     official Django documentation:
-    
-         http://www.djangoproject.com/documentation/admin/
 
+		:ref:`admin reference<ref-contrib-admin>`
+
 Improved Unicode handling
     Django's internals have been refactored to use Unicode throughout;
     this drastically simplifies the task of dealing with
@@ -44,9 +44,9 @@
     third-party libraries and systems which may or may not handle
     Unicode gracefully. Details are available in Django's
     Unicode-handling documentation:
-    
-         http://www.djangoproject.com/documentation/unicode/
 
+         :ref:`unicode reference<ref-unicode>`
+
 An improved Django ORM
     Django's object-relational mapper -- the component which provides
     the mapping between Django model classes and your database, and
@@ -69,9 +69,9 @@
     marked as safe (requiring no escaping) or unsafe (requiring
     escaping). A full guide to this feature is in the documentation
     for the Django template system:
-    
-        http://www.djangoproject.com/documentation/templates/#automatic-html-escaping
 
+        :ref:`template autoescape <ref-templates-builtins-autoescape>`
+
 There are many more new features, many bugfixes and many enhancements
 to existing features from previous releases. The ``newforms`` library,
 for example, has undergone massive improvements including several
@@ -87,7 +87,7 @@
 Django 1.0 release, and a comprehensive list of backwards-incompatible
 changes is also available on the Django wiki for those who want to
 begin developing and testing their upgrade process:
-    
+
     http://code.djangoproject.com/wiki/BackwardsIncompatibleChanges
 
 
@@ -158,7 +158,7 @@
 Django's online documentation also includes pointers on how to
 contribute to Django:
 
-    http://www.djangoproject.com/documentation/contributing/
+    :ref:`contributing to Django<internals-contributing>`
 
 Contributions on any level -- developing code, writing
 documentation or simply triaging tickets and helping to test proposed
Index: docs/releases/1.0-alpha-2.txt
===================================================================
--- docs/releases/1.0-alpha-2.txt	(revision 8750)
+++ docs/releases/1.0-alpha-2.txt	(working copy)
@@ -131,7 +131,7 @@
 Django's online documentation also includes pointers on how to
 contribute to Django:
 
-    http://www.djangoproject.com/documentation/contributing/
+    :ref:`contributing to Django<internals-contributing>`
 
 Contributions on any level -- developing code, writing
 documentation or simply triaging tickets and helping to test proposed
Index: docs/man/django-admin.1
===================================================================
--- docs/man/django-admin.1	(revision 8750)
+++ docs/man/django-admin.1	(working copy)
@@ -168,7 +168,7 @@
 Full descriptions of all these options, with examples, as well as documentation
 for the rest of the Django framework, can be found on the Django site:
 .sp
-.I http://www.djangoproject.com/documentation/
+.I http://docs.djangoproject.com/en/dev/
 .sp
 or in the distributed documentation.
 .SH "AUTHORS/CREDITS"
Index: docs/man/daily_cleanup.1
===================================================================
--- docs/man/daily_cleanup.1	(revision 8750)
+++ docs/man/daily_cleanup.1	(working copy)
@@ -22,7 +22,7 @@
 .SH "SEE ALSO"
 The sessions documentation:
 .sp
-.I http://www.djangoproject.com/documentation/sessions/
+.I http://docs.djangoproject.com/en/dev/topics/http/sessions/
 
 .SH "AUTHORS/CREDITS"
 Originally developed at World Online in Lawrence, Kansas, USA. Refer to the
Index: docs/ref/templates/builtins.txt
===================================================================
--- docs/ref/templates/builtins.txt	(revision 8750)
+++ docs/ref/templates/builtins.txt	(working copy)
@@ -16,6 +16,8 @@
 
 .. templatetag:: autoescape
 
+.. _ref-templates-builtins-autoescape:
+
 autoescape
 ~~~~~~~~~~
 
Index: README
===================================================================
--- README	(revision 8750)
+++ README	(working copy)
@@ -2,7 +2,7 @@
 and clean, pragmatic design.
 
 All documentation is in the "docs" directory and online at
-http://www.djangoproject.com/documentation/.  If you're just getting started,
+http://docs.djangoproject.com/en/dev/.  If you're just getting started,
 here's how we recommend you read the docs:
 
     * First, read docs/install.txt for instructions on installing Django.