Index: django/conf/locale/mk/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/mk/LC_MESSAGES/django.po	(revision 8740)
+++ django/conf/locale/mk/LC_MESSAGES/django.po	(working copy)
@@ -4,8 +4,8 @@
 msgstr ""
 "Project-Id-Version: django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-08-28 13:21+0200\n"
-"PO-Revision-Date: 2008-08-28 15:56+0200\n"
+"POT-Creation-Date: 2008-08-30 13:08+0200\n"
+"PO-Revision-Date: 2008-08-30 13:10+0200\n"
 "Last-Translator: Georgi Stanojevski <glisha@gmail.com>\n"
 "Language-Team: macedonian <ossm-members@hedona.on.net.mk>\n"
 "MIME-Version: 1.0\n"
@@ -284,89 +284,89 @@
 msgid "log entries"
 msgstr "ставки во записникот"
 
-#: contrib/admin/options.py:56 contrib/admin/options.py:115
+#: contrib/admin/options.py:56 contrib/admin/options.py:120
 msgid "None"
 msgstr "Ништо"
 
-#: contrib/admin/options.py:329
+#: contrib/admin/options.py:334
 #, python-format
 msgid "Changed %s."
 msgstr "Изменета %s."
 
-#: contrib/admin/options.py:329 contrib/admin/options.py:339
+#: contrib/admin/options.py:334 contrib/admin/options.py:344
 msgid "and"
 msgstr "и"
 
-#: contrib/admin/options.py:334
+#: contrib/admin/options.py:339
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "Додадено %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:338
+#: contrib/admin/options.py:343
 #, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr " Изменето %(list)s за %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:343
+#: contrib/admin/options.py:348
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "Избришан  %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:347
+#: contrib/admin/options.py:352
 msgid "No fields changed."
 msgstr "Не беше изменето ниедно поле."
 
-#: contrib/admin/options.py:408 contrib/auth/admin.py:51
+#: contrib/admin/options.py:413 contrib/auth/admin.py:51
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "%(name)s \"%(obj)s\" беше успешно додаден."
 
-#: contrib/admin/options.py:412 contrib/admin/options.py:445
+#: contrib/admin/options.py:417 contrib/admin/options.py:450
 #: contrib/auth/admin.py:57
 msgid "You may edit it again below."
 msgstr "Подолу можете повторно да го уредите."
 
-#: contrib/admin/options.py:422 contrib/admin/options.py:455
+#: contrib/admin/options.py:427 contrib/admin/options.py:460
 #, python-format
 msgid "You may add another %s below."
 msgstr "Подолу можете да додате уште еден %s."
 
-#: contrib/admin/options.py:443
+#: contrib/admin/options.py:448
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "%(name)s \"%(obj)s\" беше успешно изменета."
 
-#: contrib/admin/options.py:451
+#: contrib/admin/options.py:456
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
 msgstr ""
 "%(name)s \"%(obj)s\" беше успешно додадена.Подолу можете повторно да ја "
 "уредите."
 
-#: contrib/admin/options.py:517
+#: contrib/admin/options.py:532
 #, python-format
 msgid "Add %s"
 msgstr "Додади %s"
 
-#: contrib/admin/options.py:595
+#: contrib/admin/options.py:610
 #, python-format
 msgid "Change %s"
 msgstr "Измени %s"
 
-#: contrib/admin/options.py:627
+#: contrib/admin/options.py:642
 msgid "Database error"
 msgstr "Грешка во базата со податоци"
 
-#: contrib/admin/options.py:677
+#: contrib/admin/options.py:692
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "%(name)s \"%(obj)s\" беше избришана успешно."
 
-#: contrib/admin/options.py:684
+#: contrib/admin/options.py:699
 msgid "Are you sure?"
 msgstr "Сигурни сте?"
 
-#: contrib/admin/options.py:713
+#: contrib/admin/options.py:728
 #, python-format
 msgid "Change history: %s"
 msgstr "Историја на измени: %s"
@@ -447,6 +447,14 @@
 msgid "Change:"
 msgstr "Измена:"
 
+#: contrib/admin/widgets.py:115
+msgid "Lookup"
+msgstr "Побарај"
+
+#: contrib/admin/widgets.py:195
+msgid "Add Another"
+msgstr "Додади друго"
+
 #: contrib/admin/templates/admin/404.html:4
 #: contrib/admin/templates/admin/404.html:8
 msgid "Page not found"
@@ -825,7 +833,9 @@
 msgid ""
 "Please enter your new password twice so we can verify you typed it in "
 "correctly."
-msgstr "Ве молам внесете ја вашата нова лозинка двапати за да може да бидете сигурни дека правилно сте ја внеле."
+msgstr ""
+"Ве молам внесете ја вашата нова лозинка двапати за да може да бидете сигурни "
+"дека правилно сте ја внеле."
 
 #: contrib/admin/templates/registration/password_reset_confirm.html:26
 msgid "Password reset unsuccessful"
@@ -835,7 +845,9 @@
 msgid ""
 "The password reset link was invalid, possibly because it has already been "
 "used.  Please request a new password reset."
-msgstr "Врската за ресетирање на лозинката беше невалидна, најверојатно бидејќи веќе била искористена. Ве молам повторно побарајте ресетирање на вашата лозинката."
+msgstr ""
+"Врската за ресетирање на лозинката беше невалидна, најверојатно бидејќи веќе "
+"била искористена. Ве молам повторно побарајте ресетирање на вашата лозинката."
 
 #: contrib/admin/templates/registration/password_reset_done.html:6
 #: contrib/admin/templates/registration/password_reset_done.html:10
@@ -846,7 +858,9 @@
 msgid ""
 "We've e-mailed you instructions for setting your password to the e-mail "
 "address you submitted. You should be receiving it shortly."
-msgstr "Ви пративме инструкции за поставување на вашата лозинка на е-пошта која ја напишавте. Би требало да ја примите за кратко време."
+msgstr ""
+"Ви пративме инструкции за поставување на вашата лозинка на е-пошта која ја "
+"напишавте. Би требало да ја примите за кратко време."
 
 #: contrib/admin/templates/registration/password_reset_email.html:2
 msgid "You're receiving this e-mail because you requested a password reset"
@@ -878,7 +892,9 @@
 msgid ""
 "Forgotten your password? Enter your e-mail address below, and we'll e-mail "
 "instructions for setting a new one."
-msgstr "Сте ја заборавиле вашата лозинка? Внесете ја вашата е-пошта подолу и ќе ви пратиме инструкции за поставување на нова."
+msgstr ""
+"Сте ја заборавиле вашата лозинка? Внесете ја вашата е-пошта подолу и ќе ви "
+"пратиме инструкции за поставување на нова."
 
 #: contrib/admin/templates/registration/password_reset_form.html:16
 msgid "E-mail address:"
@@ -910,143 +926,143 @@
 msgid "template"
 msgstr "шаблон"
 
-#: contrib/admindocs/views.py:53 contrib/admindocs/views.py:55
-#: contrib/admindocs/views.py:57
+#: contrib/admindocs/views.py:57 contrib/admindocs/views.py:59
+#: contrib/admindocs/views.py:61
 msgid "tag:"
 msgstr "таг:"
 
-#: contrib/admindocs/views.py:87 contrib/admindocs/views.py:89
-#: contrib/admindocs/views.py:91
+#: contrib/admindocs/views.py:90 contrib/admindocs/views.py:92
+#: contrib/admindocs/views.py:94
 msgid "filter:"
 msgstr "филтер:"
 
-#: contrib/admindocs/views.py:153 contrib/admindocs/views.py:155
-#: contrib/admindocs/views.py:157
+#: contrib/admindocs/views.py:154 contrib/admindocs/views.py:156
+#: contrib/admindocs/views.py:158
 msgid "view:"
 msgstr "поглед:"
 
-#: contrib/admindocs/views.py:187
+#: contrib/admindocs/views.py:186
 #, python-format
 msgid "App %r not found"
 msgstr "Не е најдена апликацијата %r"
 
-#: contrib/admindocs/views.py:194
+#: contrib/admindocs/views.py:193
 #, python-format
 msgid "Model %(model_name)r not found in app %(app_label)r"
 msgstr "Моделот %(model_name)r не е најден во апликацијата %(app_label)r"
 
-#: contrib/admindocs/views.py:206
+#: contrib/admindocs/views.py:205
 #, python-format
 msgid "the related `%(app_label)s.%(data_type)s` object"
 msgstr "поврзаниот `%(app_label)s.%(data_type)s` објект"
 
-#: contrib/admindocs/views.py:206 contrib/admindocs/views.py:228
-#: contrib/admindocs/views.py:242 contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:205 contrib/admindocs/views.py:227
+#: contrib/admindocs/views.py:241 contrib/admindocs/views.py:246
 msgid "model:"
 msgstr "модел:"
 
-#: contrib/admindocs/views.py:237
+#: contrib/admindocs/views.py:236
 #, python-format
 msgid "related `%(app_label)s.%(object_name)s` objects"
 msgstr "поврзани `%(app_label)s.%(object_name)s` објекти"
 
-#: contrib/admindocs/views.py:242
+#: contrib/admindocs/views.py:241
 #, python-format
 msgid "all %s"
 msgstr "сите %s"
 
-#: contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:246
 #, python-format
 msgid "number of %s"
 msgstr "број на %s"
 
-#: contrib/admindocs/views.py:253
+#: contrib/admindocs/views.py:251
 #, python-format
 msgid "Fields on %s objects"
 msgstr "Полиња на %s објекти"
 
-#: contrib/admindocs/views.py:317 contrib/admindocs/views.py:328
-#: contrib/admindocs/views.py:330 contrib/admindocs/views.py:336
-#: contrib/admindocs/views.py:337 contrib/admindocs/views.py:339
+#: contrib/admindocs/views.py:314 contrib/admindocs/views.py:325
+#: contrib/admindocs/views.py:327 contrib/admindocs/views.py:333
+#: contrib/admindocs/views.py:334 contrib/admindocs/views.py:336
 msgid "Integer"
 msgstr "Цел број"
 
-#: contrib/admindocs/views.py:318
+#: contrib/admindocs/views.py:315
 msgid "Boolean (Either True or False)"
 msgstr "Логичка (или точно или неточно)"
 
-#: contrib/admindocs/views.py:319 contrib/admindocs/views.py:338
+#: contrib/admindocs/views.py:316 contrib/admindocs/views.py:335
 #, python-format
 msgid "String (up to %(max_length)s)"
 msgstr "Збор (до %(max_length)s)"
 
-#: contrib/admindocs/views.py:320
+#: contrib/admindocs/views.py:317
 msgid "Comma-separated integers"
 msgstr "Целобројни вредности одделени со запирка"
 
-#: contrib/admindocs/views.py:321
+#: contrib/admindocs/views.py:318
 msgid "Date (without time)"
 msgstr "Датум (без час)"
 
-#: contrib/admindocs/views.py:322
+#: contrib/admindocs/views.py:319
 msgid "Date (with time)"
 msgstr "Датум (со час)"
 
-#: contrib/admindocs/views.py:323
+#: contrib/admindocs/views.py:320
 msgid "Decimal number"
 msgstr "Децимален број"
 
-#: contrib/admindocs/views.py:324
+#: contrib/admindocs/views.py:321
 msgid "E-mail address"
 msgstr "Адреса на е-пошта"
 
-#: contrib/admindocs/views.py:325 contrib/admindocs/views.py:326
-#: contrib/admindocs/views.py:329
+#: contrib/admindocs/views.py:322 contrib/admindocs/views.py:323
+#: contrib/admindocs/views.py:326
 msgid "File path"
 msgstr "Патека на датотека"
 
-#: contrib/admindocs/views.py:327
+#: contrib/admindocs/views.py:324
 msgid "Floating point number"
 msgstr "Децимален број"
 
-#: contrib/admindocs/views.py:331 contrib/comments/models.py:57
+#: contrib/admindocs/views.py:328 contrib/comments/models.py:57
 msgid "IP address"
 msgstr "ИП адреса"
 
-#: contrib/admindocs/views.py:333
+#: contrib/admindocs/views.py:330
 msgid "Boolean (Either True, False or None)"
 msgstr "Логичка (точно,неточно или празно)"
 
-#: contrib/admindocs/views.py:334
+#: contrib/admindocs/views.py:331
 msgid "Relation to parent model"
 msgstr "Релација со родителскиот модел"
 
-#: contrib/admindocs/views.py:335
+#: contrib/admindocs/views.py:332
 msgid "Phone number"
 msgstr "Телефонски број"
 
-#: contrib/admindocs/views.py:340
+#: contrib/admindocs/views.py:337
 msgid "Text"
 msgstr "Текст"
 
-#: contrib/admindocs/views.py:341
+#: contrib/admindocs/views.py:338
 msgid "Time"
 msgstr "Час"
 
-#: contrib/admindocs/views.py:342 contrib/comments/forms.py:20
+#: contrib/admindocs/views.py:339 contrib/comments/forms.py:20
 #: contrib/flatpages/admin.py:8 contrib/flatpages/models.py:7
 msgid "URL"
 msgstr "URL"
 
-#: contrib/admindocs/views.py:343
+#: contrib/admindocs/views.py:340
 msgid "U.S. state (two uppercase letters)"
 msgstr "Држава во САД (две големи букви)"
 
-#: contrib/admindocs/views.py:344
+#: contrib/admindocs/views.py:341
 msgid "XML text"
 msgstr "XML текст"
 
-#: contrib/admindocs/views.py:370
+#: contrib/admindocs/views.py:367
 #, python-format
 msgid "%s does not appear to be a urlpattern object"
 msgstr "%s не изгледа дека е url објект"
@@ -1423,13 +1439,17 @@
 msgid ""
 "This comment was posted by an authenticated user and thus the name is read-"
 "only."
-msgstr "Овој коментар бил пратен од автентициран корисник и затоа името е заштитено од промена."
+msgstr ""
+"Овој коментар бил пратен од автентициран корисник и затоа името е заштитено "
+"од промена."
 
 #: contrib/comments/models.py:123
 msgid ""
 "This comment was posted by an authenticated user and thus the email is read-"
 "only."
-msgstr "Овој коментар бил пратен од автентициран корисник и затоа е-пошта е заштитена од промена."
+msgstr ""
+"Овој коментар бил пратен од автентициран корисник и затоа е-пошта е "
+"заштитена од промена."
 
 #: contrib/comments/models.py:148
 #, python-format
@@ -1516,6 +1536,12 @@
 msgid "flat pages"
 msgstr "статични страници"
 
+#: contrib/formtools/wizard.py:130
+msgid ""
+"We apologize, but your form has expired. Please continue filling out the "
+"form from this page."
+msgstr "Се извинуваме но вашата форма истече. Ве молам продолжете пополнувајќи ја формата од оваа страница."
+
 #: contrib/gis/forms/fields.py:14
 msgid "No geometry value provided."
 msgstr "Не е внесена геометриска вредност."
@@ -1678,7 +1704,9 @@
 
 #: contrib/localflavor/at/forms.py:48
 msgid "Enter a valid Austrian Social Security Number in XXXX XXXXXX format."
-msgstr "Внесете правилен број за социјално осигурување на Австрија во XXXX-XXXXXX формат."
+msgstr ""
+"Внесете правилен број за социјално осигурување на Австрија во XXXX-XXXXXX "
+"формат."
 
 #: contrib/localflavor/au/forms.py:16
 msgid "Enter a 4 digit post code."
@@ -3514,7 +3542,7 @@
 msgid "sites"
 msgstr "сајтови"
 
-#: db/models/fields/__init__.py:332 db/models/fields/__init__.py:648
+#: db/models/fields/__init__.py:332 db/models/fields/__init__.py:667
 msgid "This value must be an integer."
 msgstr "Оваа вредност мора да биде цел број."
 
@@ -3522,40 +3550,44 @@
 msgid "This value must be either True or False."
 msgstr "Оваа вредност мора да биде или точно или неточно."
 
-#: db/models/fields/__init__.py:387
+#: db/models/fields/__init__.py:396
 msgid "This field cannot be null."
 msgstr "Оваа вредност неможе да биде null."
 
-#: db/models/fields/__init__.py:424
+#: db/models/fields/__init__.py:412
+msgid "Enter only digits separated by commas."
+msgstr "Внесете само цифри одделени со запирки."
+
+#: db/models/fields/__init__.py:443
 msgid "Enter a valid date in YYYY-MM-DD format."
 msgstr "Внесете правилен датум во форматот ГГГГ-ММ-ДД."
 
-#: db/models/fields/__init__.py:433
+#: db/models/fields/__init__.py:452
 #, python-format
 msgid "Invalid date: %s"
 msgstr "Неправилен датум: %s"
 
-#: db/models/fields/__init__.py:497 db/models/fields/__init__.py:515
+#: db/models/fields/__init__.py:516 db/models/fields/__init__.py:534
 msgid "Enter a valid date/time in YYYY-MM-DD HH:MM[:ss[.uuuuuu]] format."
 msgstr "Внесете правилен датум/време во YYYY-MM-DD HH:MM[:ss[.uuuuuu]] формат."
 
-#: db/models/fields/__init__.py:551
+#: db/models/fields/__init__.py:570
 msgid "This value must be a decimal number."
 msgstr "Оваа вредност мора да биде децимален број."
 
-#: db/models/fields/__init__.py:684
+#: db/models/fields/__init__.py:703
 msgid "This value must be either None, True or False."
 msgstr "Оваа вредност мора да биде празна, точно или неточно."
 
-#: db/models/fields/__init__.py:783 db/models/fields/__init__.py:797
+#: db/models/fields/__init__.py:811 db/models/fields/__init__.py:825
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "Внесете правилно време во HH:MM[:ss[.uuuuuu]] формат."
 
-#: db/models/fields/related.py:742
+#: db/models/fields/related.py:748
 msgid "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
 msgstr "Држете го „Control“ или „Command“ на Мекинтош за да изберете повеќе од едно."
 
-#: db/models/fields/related.py:819
+#: db/models/fields/related.py:825
 #, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural "Please enter valid %(self)s IDs. The values %(value)r are invalid."
@@ -3617,11 +3649,11 @@
 msgid "Ensure that there are no more than %s digits before the decimal point."
 msgstr "Осигурајте се дека нема повеќе од %s цифри пред децималната запирка."
 
-#: forms/fields.py:282 forms/fields.py:804
+#: forms/fields.py:282 forms/fields.py:815
 msgid "Enter a valid date."
 msgstr "Внесете правилен датум."
 
-#: forms/fields.py:316 forms/fields.py:805
+#: forms/fields.py:316 forms/fields.py:816
 msgid "Enter a valid time."
 msgstr "Внесете правилно време."
 
@@ -3657,22 +3689,24 @@
 msgid "This URL appears to be a broken link."
 msgstr "Оваа адреса изгледа дека не е достапна."
 
-#: forms/fields.py:602 forms/fields.py:653
+#: forms/fields.py:613 forms/fields.py:664
 #, python-format
 msgid "Select a valid choice. %(value)s is not one of the available choices."
 msgstr "Внесете валиден избор. %(value)s не е еден од можните избори."
 
-#: forms/fields.py:654 forms/fields.py:715 forms/models.py:531
+#: forms/fields.py:665 forms/fields.py:726 forms/models.py:531
 msgid "Enter a list of values."
 msgstr "Внесете листа на вредности."
 
-#: forms/fields.py:833
+#: forms/fields.py:844
 msgid "Enter a valid IPv4 address."
 msgstr "Внесeте правилна IPv4 адреса."
 
-#: forms/fields.py:843
+#: forms/fields.py:854
 msgid "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens."
-msgstr "Внесете правилно кратко име (slug) кое се соддржи од букви, цифри, долна црта или тире."
+msgstr ""
+"Внесете правилно кратко име (slug) кое се соддржи од букви, цифри, долна "
+"црта или тире."
 
 #: forms/formsets.py:242 forms/formsets.py:244
 msgid "Order"